ALTER FUNCTION "dba"."getid_ls_yksus"()
returns integer
begin
  declare li_return integer;
  select max(yksusnr) + 1 into li_return from ls_yksus;
  if li_return is null or li_return<1 then
    set li_return=1;
    while exists(select 1 from ls_yksus where yksusnr=li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end